UHD 003.004.003-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
uhd::assertion_error Struct Reference

`#include <exception.hpp>`

Inheritance diagram for uhd::assertion_error:

## Public Member Functions
| assertion_error (const std::string &what)
virtual unsigned | code (void) const
virtual assertion_error * | dynamic_clone (void) const
virtual void | dynamic_throw (void) const
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Constructor & Destructor Documentation

uhd::assertion_error::assertion_error | ( | const std::string & | what | ) |

## Member Function Documentation

virtual unsigned uhd::assertion_error::code | ( | void |  | ) | const
| virtual

Implements uhd::exception.

virtual assertion_error* uhd::assertion_error::dynamic_clone | ( | void |  | ) | const
| virtual

Implements uhd::exception.

virtual void uhd::assertion_error::dynamic_throw | ( | void |  | ) | const
| virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- include/uhd/exception.hpp